require_relative 'auditable'

module StudioGame
  class Die
    include Auditable

    attr_reader :number

    def roll
      @number = rand(1..6)
      audit
      @number
    end
  end
end

# we don't need an initialize method because instance variables spring into existence when you assign to them. On the other hand, we want our die to always have a valid number between 1 and 6 even if it hasn't been rolled yet.
